#extend_disk.sh| 
#params are: DeviceNo, DeviceName
echo "- Xenica: Start Extending disk {$DeviceName}"

diskname={$DeviceName}

diskpath=/dev/$diskname
lvpath=`lvdisplay | grep root | grep Path | awk '{print $3}'`

sgdisk -e $diskpath
(echo d; echo 1; echo n; echo ; echo ; echo ; echo 8e00; echo w; echo y;) | gdisk $diskpath 
partprobe $diskpath
pvresize $diskpath"1"
lvextend -l +100%FREE $lvpath
resize2fs $lvpath
xfs_growfs $lvpath
