#prepare_new_disk.sh| 
#params are: DeviceNo, DeviceName
echo "- Xenica: Start Preparing new disk {$DeviceName}"
  
diskname={$DeviceName}

xvda_size=`lsblk | grep -w "xvda" | awk '{print $4}' | cut -d'G' -f1`

if (( $xvda_size > 7 )); then
diskpath=/dev/$diskname
lvpath=`lvdisplay | grep root | grep Path | awk '{print $3}'`
vgname=`lvdisplay | grep VG | head -1 | awk '{print $3}'`

sgdisk -e $diskpath
(echo n; echo ; echo ; echo ; echo 8e00; echo w; echo y;) | gdisk $diskpath
partprobe $diskpath
pvcreate $diskpath"1"
vgextend $vgname $diskpath"1"
lvextend -l +100%FREE $lvpath
resize2fs $lvpath
xfs_growfs $lvpath
else
echo "Linux/prepare new disk, Value is less then 7, $xvda_size" >> /opt/time_log.txt
fi