#vm_creation_set_nameservers| 

echo "- Setting NameServers .."
  xenica_nameservers=""
  xenica_nameserver1=$(xenstore-read vm-data/xenica_nameserver1)
  xenica_nameserver2=$(xenstore-read vm-data/xenica_nameserver2)

  networkFile="/etc/netplan/50-cloud-init.yaml"

  #check if IP is v6
  ipv6=0
  ips_count_array=($(xenstore-list vm-data/xenica_ifs))
  for i in "${ips_count_array[@]}"; do
  ip_array=("$(xenstore-list vm-data/xenica_ifs/"$i")")
   if [[ " ${ip_array[*]} " =~ "ip6" ]]; then
    ipv6=1
   fi
  done

echo "            nameservers:
                addresses:" >>$networkFile
  #add custom nameservers (if not same as google ones)
echo "                  - $xenica_nameserver1" >>"$networkFile"
echo "                  - $xenica_nameserver2" >>"$networkFile"

  if [ "$ipv6" -eq "1" ]; then
  echo "                  - 2001:4860:4860::8844
                  - 2001:4860:4860::8888" >>"$networkFile"
  fi
echo "                search: []" >>$networkFile


echo "nameservers changed."
touch "/opt/need_to_reboot.log"

#apply changes
netplan apply