#vm_change_port.sh| 
echo "vm_change_port:"
port={$port}
isCentos=`cat /etc/os-release | grep -E 'Cent|cent'`
if [ -z "$isCentos" ]
then
portln=$(cat -n /etc/ssh/sshd_config  | grep Port | head -1 | awk '{print $1}')
sed -i "$portln s/.*/Port $port /" /etc/ssh/sshd_config
else
#ping -c 5 www.google.com
yum update -y
portln=$(cat -n /etc/ssh/sshd_config  | grep Port | head -1 | awk '{print $1}')
sed -i "$portln s/.*/Port $port /" /etc/ssh/sshd_config
yum install policycoreutils-python -y
#firewall-cmd --zone=public --add-port=$port/tcp
firewall-cmd --zone=public --add-port=$port/tcp --permanent
firewall-cmd --reload
semanage port -a -t ssh_port_t -p tcp $port
fi
echo $(cat /etc/ssh/sshd_config | grep Port) > /opt/port.sh

Jail_check=`cat /etc/fail2ban/jail.local`
if [ ${?} = 0 ]
then
echo "[DEFAULT]
# Ban hosts for one hour:
#bantime = 3600

# Override /etc/fail2ban/jail.d/00-firewalld.conf:
#banaction = iptables-multiport

[sshd]
enabled = true
port = $port
filter = sshd
logpath = /var/log/auth.log
maxretry = 3
bantime = 3600

" > /etc/fail2ban/jail.local
systemctl restart fail2ban
fi

systemctl restart sshd.service