#vm_install_fail2ban.sh| 
echo "vm_install_fail2ban:"

value={$fail2ban}

a=`which yum`
is8=`cat /etc/os-release | grep Cent | grep 8 | head -1`
if [ -z "$is8" ]
then
echo "It is not cent8"
else
cd /etc/yum.repos.d/
sed -i 's/mirrorlist/#mirrorlist/g' /etc/yum.repos.d/CentOS-*
sed -i 's|#baseurl=http://mirror.centos.org|baseurl=http://vault.centos.org|g' /etc/yum.repos.d/CentOS-*
fi
if [ -z "$a" ]
then
echo "It is not centos"
else
yum install epel-release -y
fi
[ -z "$a" ] && mode="apt" || mode="yum"
if [[ "$value" -eq "1" ]]; then
echo $mode update -y | sh
dpkg --configure -a
echo $mode install fail2ban -y | sh
systemctl enable fail2ban
PORT_NO=$(cat /etc/ssh/sshd_config | grep Port | head -1 | awk '{print $2}')
echo $(cat /etc/ssh/sshd_config | grep Port) >> /opt/fail.sh
echo "[DEFAULT]
# Ban hosts for one hour:
#bantime = 3600

# Override /etc/fail2ban/jail.d/00-firewalld.conf:
#banaction = iptables-multiport

[sshd]
enabled = true
port = ${PORT_NO}
filter = sshd
logpath = /var/log/auth.log
maxretry = 3
bantime = 3600


" > /etc/fail2ban/jail.local

systemctl restart fail2ban
else
echo $mode remove fail2ban -y | sh
fi