import XenAPI
import MySQLdb
import sys

def getServerList(db,serv):

    # prepare a cursor object using cursor() method
    cursor = db.cursor()

    # Prepare SQL query to INSERT a record into the database.
    sql = " select id,name,ipaddress,hostname,username,password,type from tblservers where type='Xenica' and disabled='0' and id="+str(serv)+" "
    try:
       # Execute the SQL command
       cursor.execute(sql)
       # Fetch all the rows in a list of lists.
       results = cursor.fetchall()
       servers = []
       for row in results:
            servers.append({'id' : row[0],'name' : row[1],'ipaddress' : row[2],'hostname' : row[3]})

    except:
       print "Error: unable to fecth data"
    return servers
    # disconnect from server
    #db.close()

	
def insertUUIDmapping(db,serverid,vmuuidmap):
    cursor = db.cursor()
    # Prepare SQL query to INSERT a record into the database.
    sql = """INSERT INTO xenica_uuid_mapping(server,
             vmname, uuid)
             VALUES """
    for uuid,vmname in vmuuidmap.iteritems():
             sql = sql + "({server}, '{vmname}', '{uuid}')".format(server=serverid,vmname=vmname,uuid=uuid) + ","
    sql = sql[:-1]

    try:

       # Execute the SQL command
       cursor.execute(sql)
       # Commit your changes in the database
       db.commit()
       print " -"+vmname
    except:
       # Rollback in case there is any error
       db.rollback()

    # disconnect from server
    #db.close()

	
#use :				  			1		 2    	   3		4		   5	
#/usr/bin/python getUUIDs.py mysqluser mysqlpass dbname serverid  serverpass
def main():
    db = MySQLdb.connect("localhost",sys.argv[1], sys.argv[2], sys.argv[3] )
    servers = getServerList(db,sys.argv[4])

    for serverdict in servers:
        try:
            url = "http://"+serverdict['ipaddress']
            session = XenAPI.Session(url)
            password =sys.argv[5]
            session.xenapi.login_with_password('root',password)
            vms = session.xenapi.VM.get_all()
            if len(vms)>0 :
                print "<u>Update Server VMs :</u>"
            vmuuidmap = {}
            for vm in vms:
                record = session.xenapi.VM.get_record(vm)
                if not(record["is_a_template"]) and not(record["is_control_domain"]) :
                    uuid = session.xenapi.VM.get_uuid(vm)
                    vmname = session.xenapi.VM.get_name_label(vm)
                    vmuuidmap[uuid] = vmname
            insertUUIDmapping(db,serverdict['id'],vmuuidmap)
        except :
            pass

main()
