#vm_creation_config.sh|

# OpenSUSE-15
# Xenixa autoStart file V1.0
# @Servarica.com - 2020
vm_creation_config.sh : set initial settings on First Boot like root password
echo "set initial settings on First Boot .."
# set initial settings on First Boot (password and resize Disks etc..)
FLAG="/opt/firstbootdone.log"
if [ ! -f $FLAG ]; then
  echo "- changing root pass"
  xenica_passwd=$(xenstore-read vm-data/xenica_passwd)
  if [ -n "$xenica_passwd" ]; then
    echo "root:$xenica_passwd" | chpasswd
  fi
  echo "Password changed to $xenica_passwd"

 truncate -s 0 /var/log/auth.log
 cat /dev/null > ~/.bash_history && history -c && exit

  # at the end create firstbootdone.log so this function will run only one time
  touch $FLAG
  touch "/opt/need_to_reboot.log"
fi
