#vm_creation_set_nameservers| 

echo "- Setting NameServers .."
  xenica_nameservers=""
  xenica_nameserver1=$(xenstore-read vm-data/xenica_nameserver1)
  xenica_nameserver2=$(xenstore-read vm-data/xenica_nameserver2)

  ipv6=0
  ips_count_array=($(xenstore-list vm-data/xenica_ifs))
  for i in "${ips_count_array[@]}"; do
  ip_array=("$(xenstore-list vm-data/xenica_ifs/"$i")")
    if [[ " ${ip_array[*]} " =~ "ip6" ]]; then
      ipv6=1
    fi
  done
  
  #add custom nameservers (if not same as google ones)
  if [ "$xenica_nameserver1" != "8.8.4.4" ] && [ "$xenica_nameserver1" != "8.8.8.8" ]; then
    xenica_nameservers="$xenica_nameserver1"
  fi
  if [ "$xenica_nameserver2" != "8.8.4.4" ] && [ "$xenica_nameserver2" != "8.8.8.8" ]; then
    xenica_nameservers="$xenica_nameservers $xenica_nameserver2"
  fi

  #add google nameservers
  if [ "$xenica_nameservers" == "" ]; then
      xenica_nameservers="8.8.4.4 8.8.8.8"
  fi

  if [ "$xenica_nameservers" != "" ]; then
    echo "NETCONFIG_DNS_STATIC_SERVERS=\"$xenica_nameservers\"" >>"/etc/sysconfig/network/config"
  fi
echo "nameservers changed to: $xenica_nameservers"
touch "/opt/need_to_reboot.log"