#!/bin/bash

echo "- Setting NameServers .."
  xenica_nameservers=""
  xenica_nameserver1=$(xenstore-read vm-data/xenica_nameserver1)
  xenica_nameserver2=$(xenstore-read vm-data/xenica_nameserver2)

networkFile="/etc/sysconfig/network-scripts/ifcfg-eth0"

  ipv6=0
  ips_count_array=($(xenstore-list vm-data/xenica_ifs))
  for i in "${ips_count_array[@]}"; do
  ip_array=("$(xenstore-list vm-data/xenica_ifs/"$i")")
    if [[ " ${ip_array[*]} " =~ "ip6" ]]; then
      ipv6=1
    fi
  done

echo "DNS=\"8.8.4.4\"" >>"$networkFile"
echo "DNS1=""\"$xenica_nameserver1\"" >>"$networkFile"
echo "DNS2=""\"$xenica_nameserver2\"" >>"$networkFile"

if [[ "$ipv6" -eq "1" ]]; then
echo "DNS3=\"2001:4860:4860::8844\"" >>"$networkFile"
echo "DNS4=\"2001:4860:4860::8888\"" >>"$networkFile"
fi

echo "nameservers changed .."
touch "/opt/need_to_reboot.log"
reboot